运维管理/监控相关接口/通知服务相关接口
POSTNotification Service APIs起始版本 4.2.0同步需要认证
创建飞书接收端
创建飞书接收端
调试可用性
在线调试
使用当前认证信息和示例参数提交 Mock 请求。
请求参数
请求体字段
paramsObject必填请求体参数结构
urlString必填飞书机器人Webhook URL
atAllBoolean是否@所有人
atPersonUserIdsList@用户id
nameString必填资源名称
descriptionString资源的详细描述
platformUuidString通知平台uuid
resourceUuidString资源UUID
tagUuidsList标签UUID列表
secretString飞书秘钥
atPersonListMap@用户信息(推荐使用)
systemTagsList系统标签
userTagsList用户标签
响应状态
请求地址
POST/zstack/v1/sns/application-endpoints/feishu
/zstack/v1/sns/application-endpoints/feishu
请求示例
curl -X POST 'http://{host}/zstack/v1/sns/application-endpoints/feishu' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"url":"<url>","atAll":true,"atPersonUserIds":["<atPersonUserIds>"],"name":"<name>","description":"<description>","platformUuid":"<platformUuid>","resourceUuid":"<resourceUuid>","tagUuids":["<tagUuids>"],"secret":"<secret>","atPersonList":{}},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
响应示例
200{ "inventory": { "url": "http://feishu-url", "atAll": false, "name": "example", "uuid": "917fe66f76b241f0843dfbd6be685fc1", "description": "description example", "type": "Email", "state": "Enabled", "platformUuid": "4eb0ceebf95b452585ebeacd647d9f35", "createDate": "Mar 26, 2024 2:44:26 AM", "lastOpDate": "Mar 26, 2024 2:44:26 AM" } }变更历史
此 API 暂无变更历史记录。
